Subject: [mpls] working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

From: Loa Andersson <[email-masked]>
Date: Tue, 16 Nov 2021 09:58:48 +0100

Working Group,

This is to start a two week poll on adopting

draft-ninan-mpls-spring-inter-domain-oam

as a MPLS working group document.

Please send your comments (support/not support) to the mpls working
group mailing list ([email-masked]). Please give a technical
motivation for your support/not support, especially if you think that
the document should not be adopted as a working group document.

There is one IPR disclosure against this document. The data tracker says 
that there are 2 disclosure, but that depends on that the IPR holder 
updated the disclosure when the filename of the was changed.

All the authors and contributors have stated on the MPLS wg mailing list 
that they are unaware of any other IPRs that relates to this document.

The working group adoption poll ends November 30, 2021.

/Loa
-- 
Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 18 Nov 2021 10:24:09 +0000

As a co-author of the draft, I support WG adoption of this draft.

Juniper Business Use Only

-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: Tuesday, November 16, 2021 2:29 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

[External Email. Be cautious of content]

Working Group,

Please send your comments (support/not support) to the mpls working group mailing list ([email-masked]). Please give a technical motivation for your support/not support, especially if you think that the document should not be adopted as a working group document.

There is one IPR disclosure against this document. The data tracker says that there are 2 disclosure, but that depends on that the IPR holder updated the disclosure when the filename of the was changed.

All the authors and contributors have stated on the MPLS wg mailing list that they are unaware of any other IPRs that relates to this document.

/Loa

---

From: Samson <[email-masked]>
Date: Thu, 18 Nov 2021 06:56:39 -0500

As a co-author of this draft, I support the adoption.
Thanks
Samson

On Thu, Nov 18, 2021, 05:24 Shraddha Hegde <[email-masked]> wrote:

> Cc: [email-masked];
> [email-masked]
> Please send your comments (support/not support) to the mpls working group
> mailing list ([email-masked]). Please give a technical motivation for your
> support/not support, especially if you think that the document should not
> be adopted as a working group document.
>

---

From: Mukul Srivastava <[email-masked]>
Date: Thu, 18 Nov 2021 13:21:26 +0000

I support it.

Thanks
Mukul

On 11/16/21, 3:59 AM, "Loa Andersson" <[email-masked]> wrote:

    Working Group,

    /Loa

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Thu, 18 Nov 2021 16:10:03 +0000

Support as co-author.

Thanks,
Nagendra

From: Loa Andersson <[email-masked]>
Date: Tuesday, November 16, 2021 at 3:59 AM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam
Working Group,

/Loa

---

From: Srihari Sangli <[email-masked]>
Date: Thu, 25 Nov 2021 11:28:50 +0000

Hi,

This brings in a useful functionality for multi-domain network OAM and is very much essential for deployment.

I support the adoption.

Thanks & Regards,
 
srihari… 

     -----Original Message-----
    From: Loa Andersson <[email-masked]> 
    Sent: Tuesday, November 16, 2021 2:29 PM
    To: [email-masked]
    Cc: [email-masked]; [email-masked]
    Subject: working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

    Working Group,

    /Loa

---

From: Lizhenbin <[email-masked]>
Date: Sun, 28 Nov 2021 15:54:38 +0000

Hi All,
I support the WG adoption of the draft.

Best Regards,
Zhenbin (Robin)

________________________________

李振斌 Li Zhenbin
Mobile: +86-13651017745<tel:+86-13651017745>/+968-91797068
Email: [email-masked]<mailto:[email-masked]>
发件人：Loa Andersson <[email-masked]>
收件人：mpls <[email-masked]>
抄 送：draft-ninan-mpls-spring-inter-domain-oam <[email-masked]>;mpls-chairs <[email-masked]>
时 间：2021-11-16 16:59:20
主 题：[mpls] working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

Working Group,

/Loa

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Mon, 29 Nov 2021 03:04:33 +0000

Hi Loa, 

I have read the latest version of this draft and think it provides a useful mechanism, thus I support the adoption. 

Here are some comments which may be solved either before or after the adoption. 

1. In several places of this document, it uses "Return Path TLV" to refer to the "Reply Path TLV" defined in RFC 7110. It is suggested to use the consistent term "Reply Path TLV" throughout this document.
	
2. Although this document is targeted at Ping & Trace in inter-domain SR-MPLS network scenarios, this mechanism can also be applied to the intra-domain cases where the reply SR path needs to be specified. It would be useful if some text about this could be added to the document.

Best regards,
Jie

> From: mpls [mailto:[email-masked]] On Behalf Of Loa Andersson
> Sent: Tuesday, November 16, 2021 4:59 PM
> To: [email-masked]
> Cc: [email-masked];
> [email-masked]
> Subject: [mpls] working group adoption poll on
> group mailing list ([email-masked]). Please give a technical motivation for your
> support/not support, especially if you think that the document should not be
> adopted as a working group document.
> 
> There is one IPR disclosure against this document. The data tracker says that
> there are 2 disclosure, but that depends on that the IPR holder updated the
> disclosure when the filename of the was changed.
> 
> All the authors and contributors have stated on the MPLS wg mailing list that
> they are unaware of any other IPRs that relates to this document.
>

---

From: Shraddha Hegde <[email-masked]>
Date: Mon, 29 Nov 2021 04:25:04 +0000

Jie,

Thank you for the comments. 
I'll address them in next revision.

Rgds
Shraddha

-----Original Message-----
From: Dongjie (Jimmy) <[email-masked]> 
Sent: Monday, November 29, 2021 8:35 AM
To: Loa Andersson <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [mpls] working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

Hi Loa,

Best regards,
Jie

> group mailing list ([email-masked]). Please give a technical motivation 
> for your support/not support, especially if you think that the 
> document should not be adopted as a working group document.
>
> There is one IPR disclosure against this document. The data tracker 
> says that there are 2 disclosure, but that depends on that the IPR 
> holder updated the disclosure when the filename of the was changed.
>
> All the authors and contributors have stated on the MPLS wg mailing 
> list that they are unaware of any other IPRs that relates to this document.
>
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/mpls
> __;!!NEt6yMaO-gk!SgOyDhVhmbQJekuvJ2xQkqZk6M6S_d5o0flFkAlL_s2OcTwo1vosw
> 5v74ANYF1no$

---

From: Gyan Mishra <[email-masked]>
Date: Mon, 29 Nov 2021 01:19:46 -0500

I support WG Adoption of this draft.

This draft as I see it is essential for operators deployments of Segment
Routing in transport networks.

I agree with Jimmy’s comments that this draft can be utilized intra domain
and that text should be added.

Also maybe add that the primary use case for return path TLV is for MPLS-TP
bi-directional co-routed paths RFC 5654.

Regards

Gyan
Verizon Inc

On Sun, Nov 28, 2021 at 11:25 PM Shraddha Hegde <shraddha=
[email-masked]> wrote:

> I have read the latest version of this draft and think it provides a
> useful mechanism, thus I support the adoption.
>
> 1. In several places of this document, it uses "Return Path TLV" to refer
> to the "Reply Path TLV" defined in RFC 7110. It is suggested to use the
> consistent term "Reply Path TLV" throughout this document.
>
> 2. Although this document is targeted at Ping & Trace in inter-domain
> SR-MPLS network scenarios, this mechanism can also be applied to the
> intra-domain cases where the reply SR path needs to be specified. It would
> be useful if some text about this could be added to the document.
>
> Best regards,
> Jie
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: Loa Andersson <[email-masked]>
Date: Mon, 29 Nov 2021 10:26:11 +0100

Shraddha,

While I agree with the spirit of your statement "I'll address them in 
next revision" I'll remind you that the -00 version of the wg document 
is exactly what we used for the wgap, changing only filename and the 
administrative  information (date and version number).

The changes suggested by Jie should be addressed in version -01 of the 
wg document.

/Loa

---

From: Shraddha Hegde <[email-masked]>
Date: Mon, 29 Nov 2021 10:06:22 +0000

Sure Loa. Thanks for reminding.

Rgds
Shraddha

-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: Monday, November 29, 2021 2:56 PM
To: Shraddha Hegde <[email-masked]>; Dongjie (Jimmy) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] working group adoption poll on draft-ninan-mpls-spring-inter-domain-oam

Shraddha,

While I agree with the spirit of your statement "I'll address them in next revision" I'll remind you that the -00 version of the wg document is exactly what we used for the wgap, changing only filename and the administrative  information (date and version number).

The changes suggested by Jie should be addressed in version -01 of the wg document.

/Loa

---

From: <[email-masked]>
Date: Mon, 29 Nov 2021 13:20:32 +0000

Hi Loa, WG.

Support.

Please find below some proposed comments.

§4.1 "The S bit SHOULD be zero upon transmission, and MUST be ignored upon reception."

So essentially the flag has no meaning? If so, what about making it as reserved?

----
§4
"   [I-D.ietf-spring-segment-routing-policy] defines various types of
   segments.  The segments applicable to this document have been re-
   defined here."

I'm not found of "re-defined". Surely this document is not meant to update SR-policy and redefine those types. Could you propose a different wording?

---

§4
"   Below types of segment sub-TLVs are applicable for the Reverse Path
   Segment List TLV.

   Type 1: SID only, in the form of MPLS Label

   Type 3: IPv4 Node Address with optional SID

   Type 4: IPv6 Node Address with optional SID for SR MPLS"

SR-policy renamed those to Type A, C, D. Is there a reason to change the name or could the same name be used?
https://datatracker.ietf.org/doc/html/draft-ietf-spring-segment-routing-policy-14#section-4
---
§4.2 "  SID: 4 octet MPLS label."

MPLS label is not encoded using 4 octet. Please clarify how the label is encoded. (e.g. "as per Type 1 encoding" would work for me).
---
§4.2
"   If length is 12, then the IPv4 Node Address and the MPLS SID are present."

Please specify the behavior when the label is not consistent with the IP+SR fields. (e.g. which info is preferred)
---
§ 13
   [I-D.ietf-spring-segment-routing-central-epe] Is now RC9087.

---
§3 "For traceroute purposes, the headend/PMS need to acquire the
   entire database or use dynamically computed return path as described
   in Section 8"

"entire database" may be an overstatement. Maybe only the knowledge of the ABRS could be enough?

Thanks,
Regards,
--Bruno

Orange Restricted

> From: mpls <[email-masked]> On Behalf Of Loa Andersson
> Sent: Tuesday, November 16, 2021 9:59 AM
> To: [email-masked]
> Subject: [mpls] working group adoption poll on draft-ninan-mpls-spring-inter-
> domain-oam
> 
> Working Group,
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.